part of 'submit_qr_code_bloc.dart';

abstract class SubmitQrCodeEvent extends Equatable {
  const SubmitQrCodeEvent();

  @override
  List<Object?> get props => [];
}

class SubmitQrCodeEventTriggered extends SubmitQrCodeEvent {
  final String qrCode;

  const SubmitQrCodeEventTriggered({required this.qrCode});

  @override
  List<Object?> get props => [qrCode];
}

class ResetSubmitQrCodeEvent extends SubmitQrCodeEvent {
  const ResetSubmitQrCodeEvent();
}